# Note:  The tests for this perl dist. are disabled by default, as they
# require network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox
# "make noarch" type scenario is the third one.

Name:           perl-POE-Component-IRC
Version:        5.29
Release:        1%{?dist}
Summary:        A POE component for building IRC clients        

Group:          Development/Libraries
License:        Artistic or GPL        
URL:            http://search.cpan.org/dist/POE-Component-IRC            
Source0: http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/POE-Component-IRC-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(POE), perl(POE::Component::Client::DNS)
BuildRequires:  perl(POE::Filter::IRCD), perl(POE::Filter::Zlib::Stream)

# tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod::Coverage), perl(Test::Pod)
BuildRequires:  perl(Socket6)
BuildRequires:  perl(POE::Component::Client::DNS)

# optional test -- perl(Test::Kwalitee) not yet packaged in Fedora
#BuildRequires: perl(Test::Kwalitee)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Component::IRC is a POE component (who'd have guessed?) which acts as an
easily controllable IRC client for your other POE components and sessions. You
create an IRC component and tell it what events your session cares about and
where to connect to, and it sends back interesting IRC events when they
happen. You make the client do things by sending it events. That's all there
is to it. Cool, no?


%prep
%setup -q -n POE-Component-IRC-%{version}

# Funky permissions...
%{_fixperms} *
chmod -c -x Changes README examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

# remove errant execute bit from the .pm's
find %{buildroot} -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'


%check
# tests require network access, disabled by default
%{?_with_network_tests: make test}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README* docs/ examples/ t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat May 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.29-1
- update to 5.29

* Wed May 02 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.28-1
- update to 5.28

* Mon Apr 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.26-1
- update to 5.26
- include t/ in %%doc

* Sat Apr 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.24-1
- update to 5.24
- additional splittage BR's
- Additional BR's to handle new tests, ipv6 functionality, etc

* Thu Jan 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.18-1
- update to 5.18

* Fri Dec 15 2006 Chris Weyl <cweyl@alumni.drew.edu> 5.17-1
- update to 5.17

* Tue Dec 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 5.14-1
- update to 5.14

* Sun Oct 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 5.07-1
- update to 5.07

* Tue Oct 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 5.05-1
- update to 5.05
- scratched head in confusion at versions in the last few changelogs

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.54-1
- update to 0.54

* Sun Sep 17 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.53-1
- update to 0.53
- add br: perl(POE::Filter::Zlib::Stream)

* Sun Sep 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 5.02-1
- update to 5.02

* Fri Sep 01 2006 Chris Weyl <cweyl@alumni.drew.edu> 5.00-1
- update to 5.00
- add br on Test::Pod, Test::Pod::Coverage, which are now used
- minor spec tweaks, mostly cosmetic

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.99-1
- rebuild per mass rebuild
- update to 4.99

* Tue Aug 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.98-1
- update to 4.98

* Tue Jul 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.97-1
- update to 4.97

* Sat Jul 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.96-3
- Fix typo, add more verbage

* Fri Jul 21 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.96-2
- bump for f-e build
- rework conditionals around testing to... well, work :)

* Thu Jul 20 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.96-1
- snip lines

* Mon Jul 17 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.96-0
- updated to version 4.96
- Dropped the licensing conversation as the documentation (README, pods) were
  updated to include it
- Added optional framework around test suite, rather than just disabling

* Thu Jul 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 4.95-0
- Initial spec file for F-E
